from pathlib import Path
import pandas as pd

root_dir = Path(__file__).parent.parent

tsv_files = root_dir.glob('sub-*/*/func/*events.tsv')

for tsv in tsv_files:
    df = pd.read_csv(tsv, sep='\t')
    df = df[['onset', 'duration', 'trial_type']]
    df.to_csv(tsv, sep='\t', index=False)